## OobsShare

OobsShare — Base object for shared folders

## Synopsis

                        OobsShare;
    const gchar*        oobs_share_get_path                 (OobsShare *share);
    void                oobs_share_set_path                 (OobsShare *share,
                                                             const gchar *path);

## Object Hierarchy

      GObject
       +----OobsShare
             +----OobsShareNFS
             +----OobsShareSMB

## Properties

      "path"                     gchar*                : Read / Write

## Description

## Details

### OobsShare

    typedef struct _OobsShare OobsShare;

### oobs_share_get_path ()

    const gchar*        oobs_share_get_path                 (OobsShare *share);

Returns the path that share shares.

`share` : | An OobsShare.
Returns : | A pointer to the shared path as a string. This string must not be freed, modified or stored.

### oobs_share_set_path ()

    void                oobs_share_set_path                 (OobsShare *share,
                                                             const gchar *path);

Sets the shared path of share to be path, overwriting the previous one.

`share` : | An OobsShare.
`path` : | A new shared path for share.

## Property Details

### The `"path"` property

      "path"                     gchar*                : Read / Write

Path for the share.

Default value: NULL

## See Also

OobsShareNFS, OobsShareSMB